<div class="card">
  <div class="card-header py-0" id="headingThree">
    <h5 class="mb-0">
      <button class="btn btn-link collapsed shadow-none" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree" type="button">
        <%= t 'procedures.index.box_title.patient_data' %>
      </button>
    </h5>
  </div>
  <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#filters-accordion">
    <div class="card-body">
      <!-- Patient Age -->
      <%= form.label(:patient_datum_age_code, t('procedures.index.patient.age_code')) %><br>
      <%= form.select(:patient_datum_age_code_cont_any,
            options_for_select(age_options(), params.dig(:q, :patient_datum_age_code_cont_any)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'patientAgeCodeLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'patientAgeCode', t('.age_code_legend') %>

      <hr>

      <!-- Patient Race -->
      <%= form.label(:patient_datum_race, t('procedures.index.patient.race')) %><br>
      <%= form.select(:patient_datum_race_cont_any,
            options_for_select(race_options(), params.dig(:q, :patient_datum_race_cont_any)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'patientRaceLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'patientRace', t('.race_legend') %>

      <hr>

      <!-- Patient Educational Level -->
      <%= form.label(:patient_datum_educational_level, t('procedures.index.patient.educational_level')) %><br>
      <%= form.select(:patient_datum_educational_level_in,
            options_for_select(education_options(), params.dig(:q, :patient_datum_educational_level_in)),
            {},
            {
              class: "selectpicker",
              multiple: true,
              onchange: 'patientEducationalLevelLegend.update(this)',
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'patientEducationalLevel', t('.educational_level_legend') %>

      <hr>

      <!-- Patient Gender -->
      <%= form.label(:patient_datum_gender, t('procedures.index.patient.gender')) %><br>
      <%= form.select(:patient_datum_gender_eq_any,
            options_for_select([[t('patient_datum.gender_F'), 'F'], [t('patient_datum.gender_M'), 'M']], params.dig(:q, :patient_datum_gender_eq_any)),
            {},
            {
              class: "selectpicker",
              onchange: 'patientGenderLegend.update(this)',
              multiple: true,
              data: {
                title: t('procedures.index.nothing_selected'),
                live_search: true,
                size: 5,
                actions_box: true,
                selected_text_format: 'count',
                select_all_text: t('procedures.index.all'),
                deselect_all_text: t('procedures.index.none'),
                count_selected_text: '{0} ' + t('procedures.index.items_selected')
              }
            }
      ) %>

      <%= legend_div_with_title 'patientGender', t('.gender_legend') %>

      <!-- Patient State -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: PatientDatum,
                                                                            division: 'state' } %>

      <!-- Patient City -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: PatientDatum,
                                                                            division: 'city' } %>

      <!-- Patient AS -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: PatientDatum,
                                                                            division: 'administrative_sector' } %>

      <!-- Patient Subprefecture -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: PatientDatum,
                                                                            division: 'subprefecture' } %>

      <!-- Patient THS -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: PatientDatum,
                                                                            division: 'technical_health_supervision' } %>

      <!-- Patient RHC -->
      <%= render partial: 'procedures/filters/division_selector', locals: { form: form,
                                                                            klass: PatientDatum,
                                                                            division: 'regional_health_coordination' } %>

      <hr>

      <!-- Patient Distance -->
      <%= form.label(:distance, t('procedures.index.procedure.distance')) %><br>
      <%= form.text_field(:distance_between,
                          data: {
                            provide: 'slider',
                            slider_ticks: [0, max_distance().ceil(1)],
                            slider_value: params[:q].nil? ? [0, max_distance().ceil(1)] : params[:q][:distance_between].split(',').map(&:to_f),
                            slider_step: 0.1,
                            slider_tooltip: 'show',
                            slider_tooltip_split: true
                          }) %>
    </div>
  </div>
</div>
